# Rename the :admin field to :admin_role and change integer to boolean
class AddRolesToUsers < ActiveRecord::Migration[6.1]
  def change
    add_column :users, :admin_role, :boolean, default: false

    User.find_each do |user|
      user.admin_role=true if user.admin>0
      user.save!
    end

    remove_column :users, :admin
    add_column :users, :moderator_role, :boolean, default: false
  end
end
